Search found 56 matches

by jaybea
Wed Nov 07, 2018 9:52 am
Forum: Installation
Topic: CLOSED: Amahi 11 Upgrade = "We're sorry, but something went wrong (500)"
Replies: 7
Views: 259

Re: Amahi 11 Upgrade = "We're sorry, but something went wrong (500)"

I presume we can mark this as closed. Yes, I think I have reached the end of the road for repairs, and will do a clean install at some point. It is nearly time to retire the computer that the HDA runs on and get something newer and more energy efficient. It has been running as my HDA for 9 years, a...
by jaybea
Wed Nov 07, 2018 5:30 am
Forum: Installation
Topic: CLOSED: Amahi 11 Upgrade = "We're sorry, but something went wrong (500)"
Replies: 7
Views: 259

Re: Amahi 11 Upgrade = "We're sorry, but something went wrong (500)"

After some more digging through logs, it appears to be a plugin issue. Message from application: /var/hda/platform/html/plugins/040-apps/app/controllers/webapp_controller.rb:1: Invalid char `\x1F' in expression Removing 040-apps brings back the Login screen, but when I login it then fails again with...
by jaybea
Wed Nov 07, 2018 2:24 am
Forum: Installation
Topic: CLOSED: Amahi 11 Upgrade = "We're sorry, but something went wrong (500)"
Replies: 7
Views: 259

Re: Amahi 11 Upgrade = "We're sorry, but something went wrong (500)"

I have rebooted several times, with no effect. I even reinstalled hda-platform, but I am still getting hda-ctl failures so the web interface is not running. I am curious about the DNF error, as is says that it cannot install the most recent version of hda-platform (11.0.0) because of dependency erro...
by jaybea
Tue Nov 06, 2018 10:14 am
Forum: Installation
Topic: CLOSED: Amahi 11 Upgrade = "We're sorry, but something went wrong (500)"
Replies: 7
Views: 259

Re: Amahi 11 Upgrade = "We're sorry, but something went wrong (500)"

The upgrade also breaks Logitech Media Server, but I installed this directly and not as an Amahi app. The latest builds (7.9.2) seem to work with Febora 27, but the link to Perl5 in LMS is wrong, so a symlink to the location of Perl in Fedora is needed: ln -sf /usr/lib/perl5/vendor_perl/Slim /usr/li...
by jaybea
Tue Nov 06, 2018 9:55 am
Forum: Installation
Topic: CLOSED: Amahi 11 Upgrade = "We're sorry, but something went wrong (500)"
Replies: 7
Views: 259

CLOSED: Amahi 11 Upgrade = "We're sorry, but something went wrong (500)"

As with a few others, upgraded without removing all my webapps. Having removed the ones I installed, I am left with: 010-users 020-shares 030-disks 040-apps 050-network 080-settings The Control Panel still will not start, and hda-ctl is failing hda-ctl.service: Control process exited, code=exited st...
by jaybea
Sun Aug 06, 2017 12:22 pm
Forum: Media Servers
Topic: Logitech Media Server (LMS) on Amahi 10 / F25
Replies: 5
Views: 911

Re: Logitech Media Server (LMS) on Amahi 10 / F25

Need to install a CPAN module, which in your case probably was present since you did an upgrade vs new install of #Amahi. See the Squeezebox Server Upgrade guidance in the wiki. Trying to add that to the app install script, but it's not so simple unfortunately. Yes, I remember having to install CPA...
by jaybea
Sun Aug 06, 2017 8:22 am
Forum: Media Servers
Topic: Logitech Media Server (LMS) on Amahi 10 / F25
Replies: 5
Views: 911

Re: Logitech Media Server (LMS) on Amahi 10 / F25

I have finally got round to upgrading to Amahi 10. The upgrade from Amahi 9 / F24 went fine, apart from Logitech Media Server. I could not get the Amahi packaged version to install at all, but I have got a standalone version to work and this is now running, although without Amahi integration. I remo...
by jaybea
Wed Jun 28, 2017 7:37 am
Forum: Media Servers
Topic: Logitech Media Server (LMS) on Amahi 10 / F25
Replies: 5
Views: 911

Logitech Media Server (LMS) on Amahi 10 / F25

I note from the app store that LMS is currently shown as Alpha for Fedora 25. It appears, from the Squeezebox forums, that LMS will run under F25, but is there a problem with the app under Amahi? As LMS is a key application on my HDA, I don't want to upgrade to Amahi 10 and F25 if I can't get LMS wo...
by jaybea
Tue Dec 20, 2016 2:39 am
Forum: Installation
Topic: CLOSED: Installation Woes
Replies: 11
Views: 5990

Re: CLOSED: Installation Woes

A bit late to this, but I spotted the following Redhat bug, with patches, which appears to be linked to the cat: /tmp/dd-disk error:

Bug 1287870 - cat: /tmp/dd_disk: No such file or directory (apply patches for Fedora 24/RHEL 7 to Fedora 23)

It might be useful if this error comes up again.
by jaybea
Sun Jun 19, 2016 2:37 am
Forum: Installation
Topic: Upgrade from Amahi 8 to 9 (F21 to F23)
Replies: 2
Views: 436

Upgrade from Amahi 8 to 9 (F21 to F23)

I did the upgrade last night, having put it off for a few months. I the event, it went very smoothly, and so quickly that my router did not spot the loss of the HDA and take over DHCP (it was probably 10 minutes for the entire process, and much less for the loss of DNS and DHCP). I did not bother to...